snmp(6)

APPLICATION
snmp - The SNMP Application

DESCRIPTION

This chapter describes the snmp application in OTP. The SNMP application provides the following services:

    *   a multilingual extensible SNMP agent

    *   a MIB compiler

    *   a simple manager

Configuration

The following configuration parameters are defined for the SNMP application. Refer to application(3) for more information about configuration parameters.

    audit_trail_log = false | write_log | read_write_log <optional>:
        Specifies if an audit trail log should be used. The disk_log module is used to maintain a wrap log. If write_log is specified, only set requests are logged. If read_write_log, all requests are logged. Default is false.

    audit_trail_log_dir = string() <optional>:
        Specifies where the audit trail log should be stored. If audit_trail_log specifies that logging should take place, this parameter must be defined.

    audit_trail_log_size = {MaxBytes, MaxFiles} <optional>:
        Specifies the size of the audit trail log. This parameter is sent to disk_log. If audit_trail_log specifies that logging should take place, this parameter must be defined.

    bind_to_ip_address = bool() <optional>:
        If true the agent binds to the agent IP adress. If false the agent listens on any IP address on the host where it is running. Default is false.

    force_config_load = bool() <optional>:
        If true the configuration files are re-read during startup, and the contents of the configuration database ignored. Thus, if true, changes to the configuration database are lost upon reboot of the agent. Default is false.

    no_reuse_address = bool() <optional>:
        If true the agent does not specify that the IP and port address should be reusable. If false the agent the address is set to reusable. Default is false.

    snmp_agent_type = master | sub <optional>:
        If master, one master agent is started. Otherwise, no agents are started. Default is master.

    snmp_config_dir = string() <mandatory>:
        Defines where the SNMP configuration files and the compiled master agent MIB files are stored.

    snmp_db_dir = string() <mandatory>:
        Defines where the SNMP internal db files are stored.

    snmp_master_agent_mibs = [string()] <optional>:
        Specifies a list of MIB names and defines which MIBs are initially loaded into the SNMP master agent. These MIBs are loaded from snmp_config_dir.

    snmp_multi_threaded = bool() <optional>:
        If true, the agent is multi-threaded, with one thread for each get request. Default is false.

    snmp_priority = atom() <optional>:
        Defines the Erlang priority for all SNMP processes. Default is normal.

    v1 = bool() <optional>:
        Defines if the agent shall speak SNMPv1. Default is true.

    v2 = bool() <optional>:
        Defines if the agent shall speak SNMPv2c. Default is true.

    v3 = bool() <optional>:
        Defines if the agent shall speak SNMPv3. Default is true.

    snmp_local_db_auto_repair = false | true | true_verbose <optional>:
        When starting snmp_local_db it always tries to open an existing database. If false, and some errors occur, a new datebase is created instead. If true, erroneous transactions (in the logfile) are ignored. If true_verbose, erroneous transactions (in the logfile) are igored and an error message is written. Default is true.

    snmp_mibentry_override = bool() <optional>:
        If this value is false, then when loading a mib each mib- entry is checked prior to installation of the mib. The perpose of the check is to prevent that the same symbolic mibentry name is used for different oid's. Default is false.

    snmp_trapentry_override = bool() <optional>:
        If this value is false, then when loading a mib each trap is checked prior to installation of the mib. The perpose of the check is to prevent that the same symbolic trap name is used for different trap's. Default is false.

    snmp_error_report_mod = atom() <optional>:
        Defines an error report module, other then the default. Two modules are provided with the toolkit: snmp_error and snmp_error_io. Default is snmp_error.

    snmp_master_agent_verbosity = silence | info | log | debug | trace <optional>:
        Specifies the startup verbosity for the SNMP master agent. Default is silence.

    snmp_symbolic_store_verbosity = silence | info | log | debug | trace <optional>:
        Specifies the startup verbosity for the SNMP symbolic store. Default is silence.

    snmp_note_store_verbosity = silence | info | log | debug | trace <optional>:
        Specifies the startup verbosity for the SNMP note store. Default is silence.

    snmp_net_if_verbosity = silence | info | log | debug | trace <optional>:
        Specifies the startup verbosity for the SNMP net if. Default is silence.

    snmp_mibserver_verbosity = silence | info | log | debug | trace <optional>:
        Specifies the startup verbosity for the SNMP mib server. Default is silence.

    snmp_mib_storage = ets | {dets, Dir} | {dets, Dir, Action} | {mnesia, Nodes} | {mnesia, Nodes, Action} <optional>:
        Specifies how info retrieved from the mibs will be stored. Default is ets.
        Dir = string(). Dir is the directory where the (dets) files will be created.
        Nodes = [node()]. If Nodes = [] then the own node is assumed.
        Action = clear | keep. Default is keep. Action is used to specify what shall be done if the mnesia table already exist.

See Also

application(3), disk_log(3)

AUTHOR
Martin Bjorklund - support@erlang.ericsson.se